Bug 728615 - cxfb4: missing config prevents module build
Summary: cxfb4: missing config prevents module build
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 1.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Red Hat Real Time Maintenance
QA Contact: David Sommerseth
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 19:42 UTC by Luis Claudio R. Goncalves
Modified: 2016-05-22 23:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-19 20:37:01 UTC


Attachments (Terms of Use)

Description Luis Claudio R. Goncalves 2011-08-05 19:42:57 UTC
Even though we have the code and have CONFIG_CHELSIO_T4 enabled in our config files, it depends depends on CHELSIO_T4_DEPENDS which we don't have enabled and is not mentioned in any of aour Kconfig files.

Solution: add the following lines to drivers/net/Kconfig:

config CHELSIO_T4_DEPENDS
         tristate
         depends on PCI && INET
         default y

and enable CONFIG_CHELSIO_T4_DEPENDS in config-generic.

Comment 1 Beth Uptagrafft 2014-08-19 20:37:01 UTC
MRG-1 on Red Hat Enterprise Linux 5 reached it's end of life on March 31, 2014. Because this issue is against the MRG-1 release, we are closing it WONTFIX. If you believe this is still an issue on our most recent MRG-2.5 3.10 kernel, please file a new issue for tracking.


Note You need to log in before you can comment on or make changes to this bug.